html {
    position: relative;
    min-height: 100%;
}

body {
    /*padding-top: 30px;*/
    padding-top: 0px;
    font-family: 'LatoRegular', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    color: #2c3e50;
    background-color: #ecf0f1;
}

h1,
h2,
h3,
h4,
h5 {
    font-family: 'Lato';
}

/* Sticky footer styles
-------------------------------------------------- */

body {
    /* Margin bottom by footer height */
    margin-bottom: 90px;
}

/* xs < 768 */
@media screen and (max-width: 767px) {
    h1,
    .h1 {
        font-size: 25px;
    }

    h2,
    .h2 {
        font-size: 22px;
    }

    h3,
    .h3 {
        font-size: 18px;
    }
}

header {
    background-color: #1a1a1a;
}

header h1 {
    font-family: 'Lato';
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    /*height: 40px;*/
    /*line-height: 40px; !* Vertically center the text there *!*/
    text-align: center;
    padding: 10px;
    background-color: #1a1a1a;
    color: #eeeeee;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

/*body > .container {*/
/*padding: 60px 15px 0;*/
/*}*/

/*.footer > .container {*/
/*padding-right: 15px;*/
/*padding-left: 15px;*/
/*}*/

/*code {*/
/*font-size: 80%;*/
/*}*/


.page-header {
    /*background-color: #1a1a1a;*/
    margin: 0px;
    text-align: center;
    color: #fff;
    height: 65px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);

}

.page-header h1 {
    color: #fff;
    /* font-size: 25px; */
    size: 0.5rem;
    margin-top: 0.5rem;
    display: none;
}

.page-header img {
    margin-top: 8px;
    /* margin-right: 5px; */
    height: 50px;
}

.page-header .links {
    color: white;
    /* margin-top: 8px;
    margin-right: 5px; */
    position: absolute;
    top: 10px;
    right: 10px;
}


.page-header .links a {
    color: white;
}

.page-header .links a:hover {
    color: grey;
}


@media screen and (min-width: 768px) {

    .page-header {
        /*background-color: #1a1a1a;*/
        margin: 0px;
        text-align: center;
        color: #fff;
        height: 100px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    }

    .page-header h1 {
        color: #fff;
        /* font-size: 25px; */
        size: 0.5rem;
        margin-top: 0.2rem;
        display: block;
    }

    .page-header img {
        margin-top: 10px;
        height: 50px;
    }
}

@media screen and (min-width:1280px) {
    .page-header {
        /*background-color: #1a1a1a;*/
        margin: 0px;
        text-align: center;
        color: #fff;
        height: 170px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    }

    .page-header h1 {
        color: #fff;
        size: 0.8rem;
    }

    .page-header img {
        margin-top: 20px;
        height: 80px;
    }

}

/* xs < 768 */
@media screen and (max-width: 1280px) {

}

/* Formulaires */

.form-control {
    height: 34px;
    padding: 5px 5px;
    font-size: 13px;
}

/*
BS Forms
*/

.input-group-addon {
    height: 32px;
    padding: 5px 5px;
    font-size: 13px;
}

.input-group-btn > .btn {
    height: 32px;
    padding: 5px 5px;
    font-size: 13px;
}

/*
BS Panel
*/

.panel-heading {
    padding: 10px;
}

.panel-title {
    font-size: 19px;
    color: inherit;
}

.panel-heading h4 {
    margin-bottom: 0px;
    margin-top: 0px;
}

.panel-table .panel-body {
    padding: 0;
}

.panel-table .panel-body .table-bordered {
    border-style: none;
    margin: 0;
}

.panel-table .panel-body .table-bordered > thead > tr > th:first-of-type {
    text-align: center;
    width: 100px;
}

.panel-table .panel-body .table-bordered > thead > tr > th:last-of-type,
.panel-table .panel-body .table-bordered > tbody > tr > td:last-of-type {
    border-right: 0px;
}

.panel-table .panel-body .table-bordered > thead > tr > th:first-of-type,
.panel-table .panel-body .table-bordered > tbody > tr > td:first-of-type {
    border-left: 0px;
}

.panel-table .panel-body .table-bordered > tbody > tr:first-of-type > td {
    border-bottom: 0px;
}

.panel-table .panel-body .table-bordered > thead > tr:first-of-type > th {
    border-top: 0px;
}

.panel-table .panel-footer .pagination {
    margin: 0;
}

/*
BS navtab
*/

.nav-pills > li > a {
    margin: 4px !important;
}

/*
BS Table
 */
table {
    border-bottom: 1px solid #ecf0f1;
    border-top: 1px solid #ecf0f1;
}

thead,
tbody,
tr {
    border-bottom: 1px solid #ecf0f1;
}

/*
BS Grid
*/
.col-xs-1,
.col-sm-1,
.col-md-1,
.col-lg-1,
.col-xs-2,
.col-sm-2,
.col-md-2,
.col-lg-2,
.col-xs-3,
.col-sm-3,
.col-md-3,
.col-lg-3,
.col-xs-4,
.col-sm-4,
.col-md-4,
.col-lg-4,
.col-xs-5,
.col-sm-5,
.col-md-5,
.col-lg-5,
.col-xs-6,
.col-sm-6,
.col-md-6,
.col-lg-6,
.col-xs-7,
.col-sm-7,
.col-md-7,
.col-lg-7,
.col-xs-8,
.col-sm-8,
.col-md-8,
.col-lg-8,
.col-xs-9,
.col-sm-9,
.col-md-9,
.col-lg-9,
.col-xs-10,
.col-sm-10,
.col-md-10,
.col-lg-10,
.col-xs-11,
.col-sm-11,
.col-md-11,
.col-lg-11,
.col-xs-12,
.col-sm-12,
.col-md-12,
.col-lg-12 {
    padding: 10px;
}

/*
BS Full screen Modal
*/
.fullscreen-modal .modal-dialog {
    margin: 10;
    margin-right: auto;
    margin-left: auto;
    width: 100%;
}

/* Chart.js */

/* Leaflet */

.leaflet-container-default {
    min-height: 500px;
    border-radius: 5px;
    box-shadow: 0px 5px 5px 0 rgba(0, 0, 0, 0.2);
}

/* Pour les sous-menus de la barre du haut */
/*.marginBottom-0 {*/
/*margin-bottom: 0;*/
/*}*/

/*.dropdown-submenu {*/
/*position: relative;*/
/*}*/

/*.dropdown-submenu > .dropdown-menu {*/
/*top: 0;*/
/*left: 100%;*/
/*margin-top: -6px;*/
/*margin-left: -1px;*/
/*-webkit-border-radius: 0 6px 6px 6px;*/
/*-moz-border-radius: 0 6px 6px 6px;*/
/*border-radius: 0 6px 6px 6px;*/
/*}*/

/*.dropdown-submenu > a:after {*/
/*display: block;*/
/*content: " ";*/
/*float: right;*/
/*width: 0;*/
/*height: 0;*/
/*border-color: transparent;*/
/*border-style: solid;*/
/*border-width: 5px 0 5px 5px;*/
/*border-left-color: #cccccc;*/
/*margin-top: 5px;*/
/*margin-right: -10px;*/
/*}*/

/*.dropdown-submenu:hover > a:after {*/
/*border-left-color: #555;*/
/*}*/

/*.dropdown-submenu.pull-left {*/
/*float: none;*/
/*}*/

/*.dropdown-submenu.pull-left > .dropdown-menu {*/
/*left: -100%;*/
/*margin-left: 10px;*/
/*-webkit-border-radius: 6px 0 6px 6px;*/
/*-moz-border-radius: 6px 0 6px 6px;*/
/*border-radius: 6px 0 6px 6px;*/
/*}*/

/********************
 *      SIDEBAR     *
 ********************/

/*-------------------------------*/
/*           Wrappers            */
/*-------------------------------*/

#wrapper {
    padding-left: 0;
    /*padding-left: 250px;*/
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#wrapper.toggled {
    padding-left: 250px;
}

.navbar {
    /*min-height: 40px;*/
    /*margin-bottom: 15px;*/
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    border-right: #eee 1px solid;
}

#sidebar-wrapper {
    z-index: 1000;
    left: 250px;
    width: 0;
    height: 100%;
    margin-left: -250px;
    overflow-y: auto;
    overflow-x: hidden;
    background: #dbd9db;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#sidebar-wrapper::-webkit-scrollbar {
    display: none;
}

#wrapper.toggled #sidebar-wrapper {
    width: 250px;
}

#page-content-wrapper {
    width: 100%;
    padding-top: 70px;
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
    margin-right: -250px;
}

/*-------------------------------*/
/*     Sidebar nav styles        */
/*-------------------------------*/

.sidebar-nav {
    position: absolute;
    top: 30;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #eeeeee;
}

.sidebar-nav li {
    position: relative;
    line-height: 20px;
    display: inline-block;
    width: 100%;
}

.sidebar-nav li:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    height: 100%;
    width: 3px;
    /*background-color: #1c1c1c;*/
    -webkit-transition: width 0.2s ease-in;
    -moz-transition: width 0.2s ease-in;
    -ms-transition: width 0.2s ease-in;
    transition: width 0.2s ease-in;
}

.sidebar-nav li:first-child a {
    /*color: #fff;*/
    /*background-color: #1a1a1a;*/
}

.sidebar-nav li:hover:before,
.sidebar-nav li.open:hover:before {
    width: 100%;
    -webkit-transition: width 0.2s ease-in;
    -moz-transition: width 0.2s ease-in;
    -ms-transition: width 0.2s ease-in;
    transition: width 0.2s ease-in;
    color: #fff;
}

.sidebar-nav li a {
    display: block;
    color: #1a1a1a;
    text-decoration: none;
    /*padding: 10px 15px 10px 30px;*/
}

.sidebar-nav li a:hover,
.sidebar-nav li a:active,
.sidebar-nav li a:focus,
.sidebar-nav li.open a:hover,
.sidebar-nav li.open a:active,
.sidebar-nav li.open a:focus {
    color: #fff;
    text-decoration: none;
    background-color: #158cba;
}

.sidebar-nav > .sidebar-brand {
    /*height: 150px;*/
    font-size: 30px;
    line-height: 150px;
    background-color: #1a1a1a;
    color: #eeeeee;
}

.sidebar-nav > .sidebar-brand a {
    background-color: #1a1a1a;
    color: #eeeeee;
}

.sidebar-nav > .sidebar-brand a:hover {
    background-color: #2a2a2a;
}

.sidebar-nav .dropdown-menu {
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
    border-radius: 0;
    border: none;
    box-shadow: none;
    border-left: 5px solid #333;
}

.sidebar-nav .dropdown-menu li.dropdown-header {
    font-size: 14px;
    color: #333;
    background-color: #75caeb;
    padding: 5px 22px;
}

.sidebar-nav .dropdown-menu li a {
    padding: 5px 30px;
}

@media screen and (max-width: 1280px) {
    .sidebar-nav > .sidebar-brand {
        /*height: 150px;*/
        font-size: 25px;
        line-height: 80px;
        background-color: #1a1a1a;
        color: #eeeeee;
    }
}

/*-------------------------------*/
/*       Hamburger-Cross         */
/*-------------------------------*/

.hamburger {
    position: fixed;
    top: 20px;
    z-index: 999;
    display: block;
    width: 32px;
    height: 32px;
    margin-left: 15px;
    background: transparent;
    border: none;
}

.hamburger:hover,
.hamburger:focus,
.hamburger:active {
    outline: none;
}

.hamburger.is-closed:before {
    content: '';
    display: block;
    width: 100px;
    font-size: 14px;
    color: #fff;
    line-height: 32px;
    text-align: center;
    opacity: 0;
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-closed:hover:before {
    opacity: 1;
    display: block;
    -webkit-transform: translate3d(-100px, 0, 0);
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom,
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
    position: absolute;
    left: 0;
    height: 4px;
    width: 100%;
}

.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom {
    background-color: #8c8c8c;
}

.hamburger.is-closed .hamb-top {
    top: 5px;
    -webkit-transition: all 0.35s ease-in-out;
    background-color: #8c8c8c;
}

.hamburger.is-closed .hamb-middle {
    top: 50%;
    margin-top: -2px;
    background-color: #8c8c8c;
}

.hamburger.is-closed .hamb-bottom {
    bottom: 5px;
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-closed:hover .hamb-top {
    top: 0;
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-closed:hover .hamb-bottom {
    bottom: 0;
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
    background-color: #8c8c8c;
}

.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-bottom {
    top: 50%;
    margin-top: -2px;
}

.hamburger.is-open .hamb-top {
    -webkit-transform: rotate(45deg);
    -webkit-transition: -webkit-transform 0.2s cubic-bezier(0.73, 1, 0.28, 0.08);
}

.hamburger.is-open .hamb-middle {
    display: none;
}

.hamburger.is-open .hamb-bottom {
    -webkit-transform: rotate(-45deg);
    -webkit-transition: -webkit-transform 0.2s cubic-bezier(0.73, 1, 0.28, 0.08);
}

.hamburger.is-open:before {
    content: '';
    display: block;
    width: 100px;
    font-size: 14px;
    color: #fff;
    line-height: 32px;
    text-align: center;
    opacity: 0;
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-transition: all 0.35s ease-in-out;
}

.hamburger.is-open:hover:before {
    opacity: 1;
    display: block;
    -webkit-transform: translate3d(-100px, 0, 0);
    -webkit-transition: all 0.35s ease-in-out;
}

/*-------------------------------*/
/*            Overlay            */
/*-------------------------------*/

.overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(250, 250, 250, 0.8);
    z-index: 1;
}

/*-------------------------------*/
/*            Leaflet            */
/*-------------------------------*/

/* Leaflet search */

.leaflet-container .leaflet-control-search {
    position: relative;
    z-index: 800;
    pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
    pointer-events: auto;
    border: 2px solid rgba(0, 0, 0, 0.4);
    box-shadow: 0 0;
}

/*.leaflet-control-search.search-exp { !*expanded*!*/
/*box-shadow: 0 1px 5px rgba(0, 0, 0, 0.4);*/
/*}*/

.leaflet-control-search .search-input {
    display: block;
    float: left;
    background: #fff;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #777;
    /*border-radius: 0px;*/
    height: 26px;
    font-size: 1.25em;
    padding: 0 0.125em;
    margin: 3px;
    padding-right: 30px;
}

.leaflet-control-search .search-button,
.leaflet-control-search .search-button:hover {
    background-image: url(images/search_icons.png);
    -webkit-border-radius: 4px;
    border-radius: 4px;
    background-position: 1px 1px;
    width: 30px;
    height: 30px;
}

.leaflet-control-search.search-load .search-input {
    background: url(images/loader.gif) no-repeat center right #fff;
}

.zoomInfo {
    font-size: 1.5rem;
}

.legend {
    padding: 6px 8px;
    font: 14px 'LatoRegular', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background: white;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    line-height: 24px;
    color: #555;
}

.legend span {
    position: relative;
    bottom: 3px;
}

.legend i {
    width: 16px;
    height: 16px;
    float: left;
    margin: 0 8px 0 0;
    opacity: 0.7;
    border-radius: 50%;
}

.form-inline > * {
    margin: 10px 3px !important;
}

#spinner {
    margin: auto;
    position: absolute;
    z-index: 1000;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 40px;
    height: 40px;
    background-color: #333;
    border-radius: 100%;
    -webkit-animation: sk-scaleout 1s infinite ease-in-out;
    animation: sk-scaleout 1s infinite ease-in-out;
}

@-webkit-keyframes sk-scaleout {
    0% {
        -webkit-transform: scale(0);
    }
    100% {
        -webkit-transform: scale(1);
        opacity: 0;
    }
}

@keyframes sk-scaleout {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0;
    }
}



/************************************/
/* Sighting form                    */
/************************************/

/*

#sighting-form {
    margin: 5px;
    padding: 0px 5px;
    border: 1px solid #ccc;
    background-color: whitesmoke;
    border-radius: 5px;
}

#countdetail-form {
    margin: 5px;
    padding: 0px 5px;
    border: 1px solid #ccc;
    background-color: white;
    border-radius: 5px;
}

#sessionSightingEdit h1, h3, h4 {
    /* margin: 0; */
}



#sessionSightingEditFormList {
    background: white;
    /* padding: 0px; */
}


#sessionSightingEditFormDetails {
    /* background: whitesmoke; */
    /* padding: 0; */
}

#sessionSightingEditFormDetails h3 {
    padding: 10px;
}

#listSpecie {
    padding: 10px;
    border-bottom: 1px solid #777 ;
}

#specieForm {
    padding: 10px;
    border-bottom: 1px solid #777 ;

    background-color: whitesmoke;
}

#specieDetail {
    padding: 5px;
    /*border-bottom: 1px solid #777 ;
    border-top: 1px solid #777 ;*/
    background-color: whitesmoke;
}

.bg-default {
    background: whitesmoke;
} */

#moreSightingForm {
    padding: 10px;
}

#moreCountDetailForm{
    padding: 10px;
}

#countDetailEditLine{
    padding: 0px;
}

/************************************/
/* Some custom css                  */
/************************************/


.statBlock {
    background-color: white;
    border: 1px solid whitesmoke;
    padding: 10px;
    border-radius: 10px;
    line-height: 1.5em;
}

.statBlock i {
    line-height: 1.5em;
}

.statBlock .statCount{
    font-size: 1.5em;
}

.statBlock .statDesc {
    font-size: 1em;
}
/* Vue Select */

.v-select {
    height: 30px;
    line-height: 30px;
    padding: 0px;
    min-width: 200px;
    display: block;
    width: 100%;
    /* height: 36px; */
    /* padding: 8px 12px; */
    font-size: 13px;
    line-height: 1.42857143;
    color: #2c3e50;
    background-color: #ffffff;
    background-image: none;
    border: 1px solid #dddddd;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.scroll-y-auto {
    overflow-y: auto;
}

.scroll-y {
    overflow-y: scroll;
}

.study-data-panel {
    max-height: 500px;
}
